/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "assert/assertgl.h"
#include "render.h"
#include "render/scene.h"

render_t RENDER;

void renderInit() {
  memset(&RENDER, 0, sizeof(render_t));
}

void renderUpdate() {
  // Hand off to the scene to do its rendering.
  sceneRender();
}

void renderDispose() {

}